Bug 1402555 - [RFE] IPv6 Enable/Disable option not working (ipv6.method=disabled)
Summary: [RFE] IPv6 Enable/Disable option not working (ipv6.method=disabled)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-07 19:50 UTC by Mincho Gaydarov
Modified: 2018-11-30 18:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:25:25 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 746041 Normal NEW Configures IPv6 link-local address even when IPv6 disabled for network 2020-04-10 11:50:40 UTC

Description Mincho Gaydarov 2016-12-07 19:50:54 UTC
Description of problem:
When I disable the IPv6 using the NetworkManager UI, the IPv6 is still configured and it's working.


Version-Release number of selected component (if applicable):
NetworkManager-1.4.2-1.fc25.x86_64
gnome-shell-3.22.2-2.fc25.x86_64

$ cat /etc/os-release 
NAME=Fedora
VERSION="25 (Workstation Edition)"
<...>


How reproducible: Every time.


Steps to Reproduce:
1. Open the edit connection for the specific WiFi network /UI/
2. Go to IPv6
3. Set the IPv6 to OFF /The global switch/
4. Stop the WiFi and start it again

Actual results:
The WiFi device will have a valid IPv6 address and the IPv6 will work normally.


Expected results:
The WiFi device should have only IPv4 since the IPv6 is set to disabled.


Additional info:

When the IPv6 is enabled the configuration is as follows:
HWADDR=<...>
ESSID="<...>"
MODE=Managed
KEY_MGMT=WPA-PSK
TYPE=Wireless
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=<...>
UUID=<...>
ONBOOT=yes
MAC_ADDRESS_RANDOMIZATION=default
BOOTPROTO=dhcp
PEERDNS=yes
PEERROUTES=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes

When the IPv6 is disabled the configuration is as follows:
HWADDR=<...>
ESSID="<...>"
MODE=Managed
KEY_MGMT=WPA-PSK
TYPE=Wireless
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=no
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=<...>
UUID=<...>
ONBOOT=yes
BOOTPROTO=dhcp
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes
MAC_ADDRESS_RANDOMIZATION=default
PEERDNS=yes
PEERROUTES=yes

Comment 1 Thomas Haller 2016-12-08 10:37:57 UTC
NetworkManager doesn't support a ipv6.method=disabled. It only supports ipv6.method=ignored, which means: to use the sysctl values that were configured for the interface outside of NetworkManager. That quite possibly means: "accept_ra 1", so kernel will configure IPv6 on that interface.

It's a missing feature, not fixed upstream yet (https://bugzilla.gnome.org/show_bug.cgi?id=746041)

Comment 2 Fedora End Of Life 2017-11-16 19:19:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Mincho Gaydarov 2017-11-23 10:23:06 UTC
This is still valid bug for Fedora 27

Comment 4 Ben Cotton 2018-11-27 18:03:58 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 18:25:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.